<?php 
/*
 功能：接受账号密码 利用类来判断是否存在账号密码
*/
//第一步实例化 引入数据库操作类  Db.class.php
//第二步接受数据
//第三步查找数据是否存在于数据库中
//第四步给回应

  session_start();//开启session 接受账号密码
  require("library/Db.class.php");//引入文件 注意：这里要是出现错误，后面不会执行
  $username=$_POST['username'];//接受账号密码，注意：这是Post提交方式
  $password=$_POST['password'];
  //检验账号密码
  $sql  = "select * from mr_user where username = :username and password = :password";
  //$sql 是数据库查询语句 从 mr_user 中查询所有的username=$username 和 password = $password的数据 :表示占位符号与$类似
  $db=new Db();//实例化
  $user= $db->row($sql,array('username'=>$username,'password'=>md5($password)));//利用Db.class.php中的查询行进行查询
  if ($user) {
    $_SESSION["user"] = $user;//成功则保存session，用于其他网页
    echo 1;
  }else
  {
  	echo -1;
  }
  
?>
